> For the complete documentation index, see [llms.txt](https://docs.nebulox.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nebulox.io/reference/api-reference/withdrawal.md).

# Withdrawal

## Withdrawal Inquiry

<mark style="color:green;">`GET`</mark> `https://api.nebulox.io/api/withdrawal/inquiry/{withdrawRequestId}`

**Response**

A successful response returns a status code `201 Created` along with the following body:<br>

Errors are returned with an appropriate status code and a message indicating the issue.

**Headers**

| Name         | Value                 |
| ------------ | --------------------- |
| Content-Type | `application/json`    |
| x-api-Key    | `{your API Key here}` |

**Body**

**Response**

{% tabs %}
{% tab title="201" %}

```json
{
    "message": "Operation was successful.",
    "result": {
        "status": string,
        "destination": string,
        "amount": string,
        "fee": string,
        "coin": string,
        "network": string,
        "withdrawRequestId": string
    },
    "meta": {}
}

```

{% endtab %}

{% tab title="400" %}

```json
{
    "message": "x-api-key header is required",
    "result": [],
    "meta": {}
}
```

{% endtab %}

{% tab title="404" %}

```json
{
    "message": "Withdraw data not found!",
    "result": [],
    "meta": {}
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
The status can be in one of the following states.

* **PENDING**: The process is ongoing or awaiting further actions.
* **FAILED**: The process encountered an issue and could not be completed.
* **COMPLETED**: The process has been successfully finalized.
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nebulox.io/reference/api-reference/withdrawal.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
